Bug 23189 - Missing description of XML module API
Missing description of XML module API
Status: CLOSED FIXED
Product: xml
Classification: Unclassified
Component: API
3.x
PC Linux
: P1 (vote)
: 3.x
Assigned To: _ lkramolis
issues@xml
:
Depends on: 22857
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-07 08:58 UTC by Jaroslav Tulach
Modified: 2007-09-25 01:29 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jaroslav Tulach 2002-05-07 08:58:12 UTC
The XML module decided to develop API in main
trunk. Because xml is part of regular build the
API shall become supported one after releasing
3.4. That is this high priority issue has been
created to ensure that the API will really be of
high quality.

This issue is marked as defect and p1, so we
cannot release 3.4 without resolving it. It shall
be closed after successfull review of all XML
module API and its documentation.
Comment 1 _ pkuzel 2002-06-03 12:06:09 UTC
Have you seen the JavaDoc? Particurarly overview document?

What is missing overthere?

Thanks
Comment 2 _ pkuzel 2002-06-05 15:00:28 UTC
Now you can get the documentation archive at XML module Files section.

Still keeping API in @deprecated state to be able to introduce
incompatible changes (based on review) before its first release.
Comment 3 Martin Schovanek 2002-07-24 12:03:04 UTC
VERIFIED
Comment 4 Quality Engineering 2003-07-02 08:40:59 UTC
Resolved for 3.4.x or earlier, no new info since then -> closing.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo